Jump to content


Photo

Which version Of PHP and MySQL best to use together?


  • Please log in to reply
1 reply to this topic

#1 essjay_d12

essjay_d12
  • Members
  • PipPipPip
  • Advanced Member
  • 121 posts

Posted 27 September 2006 - 09:57 AM

I'm beginning a new PHP project on a new Computer. Previously I have had problems with versions of PHP and MySQL when trying to communicate between the two. The main problem was once that I had to use OLD_PASSWORD('password') so that I could access the database through PHP.

Now with this new project I was wondering if anyone can advise which versions are best to use together?

Thanks

d

#2 wildteen88

wildteen88
  • Staff Alumni
  • Advanced Member
  • 10,482 posts
  • LocationUK, Bournemouth

Posted 27 September 2006 - 11:07 AM

I use PHP5 and MySQL5 with Apache2.0.x

If you use PHP4 and MySQL5 then you need to use the OLD_PASSWORD function when setting a password for mysql users, as php4 uses an older mysql client. I dont get this problem with PHP5.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users